org.custommonkey.xmlunit

## Class ElementNameAndTextQualifier

- java.lang.Object
- - org.custommonkey.xmlunit.ElementNameQualifier
  - - org.custommonkey.xmlunit.ElementNameAndTextQualifier

All Implemented Interfaces:
  ElementQualifier

    public class ElementNameAndTextQualifier
    extends ElementNameQualifier

More complex interface implementation that tests two elements for tag name and text content comparability.
Examples and more at xmlunit.sourceforge.net

See Also:
  `DifferenceEngine.compareNodeList(NodeList, NodeList, int, DifferenceListener, ElementQualifier)`, `Diff.overrideElementQualifier(ElementQualifier)`

### Constructor Summary

Constructors
Constructor and Description
`ElementNameAndTextQualifier()`

### Method Summary

Methods
`protected org.w3c.dom.Text` `extractText(org.w3c.dom.Element fromElement)` Extract the normalized text from within an element
`boolean` `qualifyForComparison(org.w3c.dom.Element control, org.w3c.dom.Element test)` Determine whether two elements qualify for further Difference comparison.
`protected boolean` `similar(org.w3c.dom.Text control, org.w3c.dom.Text test)` Determine whether the text nodes contain similar values

### Methods inherited from class org.custommonkey.xmlunit.ElementNameQualifier

`equalsNamespace, getNonNamespacedNodeName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementNameAndTextQualifier

    public ElementNameAndTextQualifier()

### Method Detail

#### qualifyForComparison

    public boolean qualifyForComparison(org.w3c.dom.Element control,
                               org.w3c.dom.Element test)

Determine whether two elements qualify for further Difference comparison.

Specified by:
  `qualifyForComparison` in interface `ElementQualifier`
Overrides:
  `qualifyForComparison` in class `ElementNameQualifier`
Parameters:
  `control` -
  `test` -
Returns:
  true if the two elements qualify for further comparison based on both the superclass qualification (namespace URI and non- namespaced tag name), and the qualification of the text nodes contained within the elements; false otherwise

#### similar

    protected boolean similar(org.w3c.dom.Text control,
                  org.w3c.dom.Text test)

Determine whether the text nodes contain similar values

Parameters:
  `control` -
  `test` -
Returns:
  true if text nodes are similar, false otherwise

#### extractText

    protected org.w3c.dom.Text extractText(org.w3c.dom.Element fromElement)

Extract the normalized text from within an element

Parameters:
  `fromElement` -
Returns:
  extracted Text node (could be null)